-- Pull in the wezterm API
local wezterm = require("wezterm")

-- require plugin

local sessionizer = wezterm.plugin.require("https://github.com/mikkasendke/sessionizer.wezterm")

-- initialize module vairable

local module = {}

local my_schema = {
	"default",
	" EDU",
	wezterm.home_dir .. "/Polybox_ETH/",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/hs25/analysis_I",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/hs25/einfuehrung_mikrooekonomie",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/hs25/information_systems_for_engineers",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/hs25/manufacturing_of_electronic_devices",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/hs25/startups_und_recht",
	"󱂒 Makerspace",
	wezterm.home_dir .. "/kicad",
	wezterm.home_dir .. "/Nextcloud/Vault/maker_space",
	"  DEV",
	sessionizer.FdSearch({ fd_path = "/opt/homebrew/bin/fd", wezterm.home_dir .. "/Projects" }),
}

-- key map

module.keys = {
	{
		key = "s",
		mods = "LEADER",
		action = sessionizer.show(my_schema),
	},
}

return module
